Retrieves all the user week approval

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_week_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key of User

globally unique identifier

Required

approved_date_start

Starting date of the approved range

date

Required

approved_date_end

Ending date of the approved range

date

Required

date_approval

Date+Time when the approval occured

date

Required

is_approved

Indicate if the selection (range) is approved

boolean

Required

approved_by_user_id

Foreign key of user,who did the approval

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "b3494211-e6bd-48c6-befb-c144f6208424",
  "user_id": "cf0bd02d-7971-4b5a-8213-9838501bb806",
  "approved_date_start": "2026-10-26T08:46:18.0433488+00:00",
  "approved_date_end": "2026-10-26T08:46:18.0433488+00:00",
  "date_approval": "2026-10-26T08:46:18.0433488+00:00",
  "is_approved": true,
  "approved_by_user_id": "6d2f0c92-a375-46e9-aca1-e483e6370ead",
  "modified_dateutc": "2026-10-26T08:46:18.0433488+00:00"
}